uniform vec3 spos;
uniform float str;

void main ()
{
	float dist = distance(gl_Vertex.xyz, spos);
	float scale;

	if (dist > 0.5)
	{
		gl_Position = ftransform();
	}
	else
	{
		scale = 1.0 - (dist * 2.0);
		gl_Position = gl_ModelViewProjectionMatrix * vec4(gl_Vertex.x, gl_Vertex.y, gl_Vertex.z + (scale*str), 1.0);
	}
	gl_TexCoord[0] = gl_MultiTexCoord0;
}